
package de.ivu.elect.exchange.person;

import java.util.List;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.exchange.control.NoContext;
import de.ivu.elect.business.person.control.BerufExportExchange;
import de.ivu.elect.business.person.entity.Beruf;
import de.ivu.elect.exchange.AbstractExportExchange;

public class DefaultBerufExportExchange extends AbstractExportExchange<List<Beruf>, NoContext> implements BerufExportExchange {

  @Inject
  private transient Instance<BerufMapper> mapper;

  public DefaultBerufExportExchange() {
    super();
  }

  @Override
  protected Iterable<BerufMapper> getAllSupportedMapper() {
    return mapper;
  }
}
